Skip to main content
GET
/
v1
/
withdrawals
List withdrawals
curl --request GET \
  --url https://api.yuvexpay.com/v1/withdrawals \
  --header 'Authorization: Bearer <token>'
{
  "withdrawals": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "txId": "<string>",
      "grossAmount": 123,
      "feeAmount": 123,
      "netAmount": 123,
      "pixKey": "<string>",
      "pixKeyType": "<string>",
      "status": "PENDING",
      "isSandbox": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "paymentMethod": "PIX",
      "currency": "BRL",
      "processedAt": "2023-11-07T05:31:56Z",
      "errorMessage": "<string>"
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "totalPages": 123
  }
}

Authorizations

Authorization
string
header
required

API access token obtained from POST /oauth/token. Include as Authorization: Bearer {token}.

Query Parameters

status
enum<string>

Filter by withdrawal status. Possible withdrawal statuses.

Available options:
PENDING,
PROCESSING,
COMPLETED,
FAILED,
CANCELLED
method
enum<string>

Filter by withdrawal method. Public withdrawals currently support PIX only.

Available options:
PIX
currency
enum<string>

Filter by currency. Public withdrawals currently support BRL only.

Available options:
BRL
startDate
string<date-time>

Start of date range (ISO 8601).

endDate
string<date-time>

End of date range (ISO 8601).

page
integer
default:1

Page number for pagination.

Required range: x >= 1
limit
integer
default:20

Number of items per page (1-100).

Required range: 1 <= x <= 100

Response

Withdrawals listed.

withdrawals
object[]
pagination
object